# Class: YARD::Templates::Helpers::Markup::RDocMarkupToHtml

Inherits:
  Object
  - Object
  - YARD::Templates::Helpers::Markup::RDocMarkupToHtml
  show all

Defined in:
  lib/yard/templates/helpers/markup/rdoc_markup.rb

## Instance Attribute Summary collapse

- #from_path ⇒ Object

  Returns the value of attribute from_path.

## Instance Method Summary collapse

- #accept_paragraph(*args) ⇒ Object
- #handle_special_HYPERLINK(special) ⇒ Object

  Disable auto-link of URLs.

## Instance Attribute Details

### #from_path ⇒ `Object`

Returns the value of attribute from_path.

    95
    96
    97

    # File 'lib/yard/templates/helpers/markup/rdoc_markup.rb', line 95

    def from_path
      @from_path
    end

## Instance Method Details

### #accept_paragraph(*args) ⇒ `Object`

    102
    103
    104
    105
    106
    107

    # File 'lib/yard/templates/helpers/markup/rdoc_markup.rb', line 102

    def accept_paragraph(*args)
      par = args.last
      text = par.respond_to?(:txt) ? par.txt : par.text
      @hyperlink = text =~ /\{(https?:|mailto:|link:|www\.)/ ? true : false
      super
    end

### #handle_special_HYPERLINK(special) ⇒ `Object`

Disable auto-link of URLs

    98
    99
    100

    # File 'lib/yard/templates/helpers/markup/rdoc_markup.rb', line 98

    def handle_special_HYPERLINK(special) # rubocop:disable Style/MethodName
      @hyperlink ? special.text : super
    end